﻿using System.Collections.Generic;
using System.Linq;
using AutofactMVC.Models;

namespace AutofactMVC.Repository
{
    public class StudentRepository : IStudentRepository
    {
        public IEnumerable<Student> GetStudents()
        {
            using (var context = new SchoolContext())
            {
                return context.Students.ToList();
            }
        }
    }
}