﻿using System.Collections.Generic;
using System.Linq;
using System.Web.Mvc;
using AutofactMVC.Models;
using AutofactMVC.Repository;

namespace AutofactMVC.Controllers
{
    public class HomeController : Controller
    {
        private readonly IStudentRepository _studentRepository;
        public HomeController(IStudentRepository studentRepository)
        {
            _studentRepository = studentRepository;
        }

        public ActionResult Index()
        {
            var students = _studentRepository.GetStudents();
            
            return View(students);
        }
    }
}
